Subject: [PATCH] ARM: OMAP4: remove dead kconfig option OMAP4_ERRATA_I688

From: [email-masked] (Tony Lindgren)
Date: Tue, 17 Mar 2015 10:10:00 -0700

* Nishanth Menon <[email-masked]> [150317 09:57]:
> On Tue, Mar 17, 2015 at 11:34 AM, Tony Lindgren <[email-masked]> wrote:
> >> On 03/17/2015 11:26 AM, santosh shilimkar wrote:
> >> >
> >> >
> >> > On 3/16/2015 4:30 PM, Tony Lindgren wrote:
> >> >> * Stefan Hengelein <[email-masked]> [150225 10:48]:
> >> >>> The Kconfig-Option OMAP4_ERRATA_I688 is never visible due to a
> >> >>> contradiction in it's dependencies.
> >> >>> The option requires ARCH_MULTIPLATFORM to be 'disabled'. However, an
> >> >>> enclosing menu requires either ARCH_MULTI_V6 or ARCH_MULTI_V7 to be
> >> >>> enabled. These options inherit a dependency from an enclosing menu,
> >> >>> that requires ARCH_MULTIPLATFORM to be 'enabled'.
> >> >>> This is a contradiction and made this option also unavailable for
> >> >>> non-multiplatform configurations.
> >> >>>
> >> >>> Since there are no selects on OMAP4_ERRATA_I688, which would ignore
> >> >>> dependencies, the code related to that option is dead and can be
> >> >>> removed.
> >> >>>
> >> >>> This (logical) defect has been found with the undertaker tool.
> >> >>> (https://undertaker.cs.fau.de)
> >> >>>
> >> >>> Signed-off-by: Stefan Hengelein <[email-masked]>
> >> >>>
> >> >>> ---
> >> >>> Tony Lindgren suggested to remove the code since nobody complained for
> >> >>> a few years and Santosh Shilimkar agreed.
> >> >>> https://lkml.org/lkml/2015/2/25/449
> >> >>> ---
> >> >>> As far as I see, this should remove all the code related to
> >> >>> OMAP4_ERRATA_I688, I hope I didn't remove too much.
> >> >>
> >> >> Seems to boot fine, so applying into omap-for-v4.1/fixes-not-urgent.
> >> >>
> >> > Acked-by: Santosh Shilimkar <[email-masked]>
> >>
> >> We no longer need i688? I do understand the need to cleanup the macros
> >> for multi-arch etc.. but loosing a bug workaround for a real silicon
> >> bug is really an invitation for hard to debug issues IMHO.
> >
> > Well that code has not been selectable for a few years now. Naturally
> > we can add it back when it actually does something with multiarch.
> >
> 
> I suppose we are sure that downstream kernels that actually try stuff
> out never went ahead and enabled this.. we do have non multi-platform
> builds as well... I am just saying... having been around during the
> discovery of i688, I kinda know how much pain it takes to find the
> damn thing in the first place. a simple boot was not ever an easy
> enough test for it. I do suggest at least adding a print for omap4
> saying that i688 is disabled..

Yes that's a good point and adding a printk is a good idea. Care to
crank out a separate patch for that?

Regards,

Tony